Bug 211725 - rpc.idmapd: cannot mount NFS4/krb5 shares
rpc.idmapd: cannot mount NFS4/krb5 shares
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-21 06:40 EDT by Joachim Selke
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 10:16:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Selke 2006-10-21 06:40:17 EDT
Description of problem:
Mounting NFS4 shares from a server with the sec=krb5 option via
"mount -t nfs4 -o sec=krb5 myserver:/export/home /mnt" is denied by SELinux:

type=AVC msg=audit(1161427060.578:34): avc:  denied  { read write } for 
pid=1793 comm="rpc.idmapd" name="idmap" dev=rpc_pipefs ino=1342
scontext=system_u:system_r:rpcd_t:s0 tcontext=system_u:object_r:rpc_pipefs_t:s0
tclass=fifo_file
type=SYSCALL msg=audit(1161427060.578:34): arch=40000003 syscall=5 success=no
exit=-13 a0=83ac8f4 a1=8002 a2=0 a3=8002 items=0 ppid=1 pid=1793 auid=4294967295
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
comm="rpc.idmapd" exe="/usr/sbin/rpc.idmapd" subj=system_u:system_r:rpcd_t:s0
key=(null)
type=AVC msg=audit(1161427060.578:35): avc:  denied  { read write } for 
pid=1820 comm="rpc.gssd" name="krb5" dev=rpc_pipefs ino=1343
scontext=system_u:system_r:gssd_t:s0 tcontext=system_u:object_r:rpc_pipefs_t:s0
tclass=fifo_file
type=SYSCALL msg=audit(1161427060.578:35): arch=40000003 syscall=5 success=no
exit=-13 a0=bf86e448 a1=8002 a2=0 a3=8002 items=0 ppid=1 pid=1820
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
tty=(none) comm="rpc.gssd" exe="/usr/sbin/rpc.gssd"
subj=system_u:system_r:gssd_t:s0 key=(null)

It works in permissive mode.


Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.3.7-2.fc5
Comment 1 Daniel Walsh 2007-02-14 10:16:13 EST
All of these bugs should be fixed in FC6,  You could attempt to use the FC6
policy on FC5 or upgrade.  Or you could use 

audit2allow -M mypolicy -i /var/log/audit/audit.log 
and build local customized policy

Note You need to log in before you can comment on or make changes to this bug.